## UIM Refresh Register All request UIM Refresh Register All request |

## Functions

QmiMessageUimRefreshRegisterAllInput * | qmi_message_uim_refresh_register_all_input_new ()
QmiMessageUimRefreshRegisterAllInput * | qmi_message_uim_refresh_register_all_input_ref ()
void | qmi_message_uim_refresh_register_all_input_unref ()
gboolean | qmi_message_uim_refresh_register_all_input_get_info ()
gboolean | qmi_message_uim_refresh_register_all_input_set_info ()
gboolean | qmi_message_uim_refresh_register_all_input_get_session ()
gboolean | qmi_message_uim_refresh_register_all_input_set_session ()
QmiMessageUimRefreshRegisterAllOutput * | qmi_message_uim_refresh_register_all_output_ref ()
void | qmi_message_uim_refresh_register_all_output_unref ()
gboolean | qmi_message_uim_refresh_register_all_output_get_result ()
void | qmi_client_uim_refresh_register_all ()
QmiMessageUimRefreshRegisterAllOutput * | qmi_client_uim_refresh_register_all_finish ()

## Types and Values

| QmiMessageUimRefreshRegisterAllInput
| QmiMessageUimRefreshRegisterAllOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimRefreshRegisterAllInput
        ╰── QmiMessageUimRefreshRegisterAllOutput

## Description

## Functions

### qmi_message_uim_refresh_register_all_input_new ()

    QmiMessageUimRefreshRegisterAllInput *
    qmi_message_uim_refresh_register_all_input_new
                                   (void);

Allocates a new QmiMessageUimRefreshRegisterAllInput.

#### Returns

the newly created QmiMessageUimRefreshRegisterAllInput. The returned value should be freed with `qmi_message_uim_refresh_register_all_input_unref()`.

Since: 1.28

### qmi_message_uim_refresh_register_all_input_ref ()

    QmiMessageUimRefreshRegisterAllInput *
    qmi_message_uim_refresh_register_all_input_ref
                                   (QmiMessageUimRefreshRegisterAllInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_register_all_input_unref ()

    void
    qmi_message_uim_refresh_register_all_input_unref
                                   (QmiMessageUimRefreshRegisterAllInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |

Since: 1.28

### qmi_message_uim_refresh_register_all_input_get_info ()

    gboolean
    qmi_message_uim_refresh_register_all_input_get_info
                                   (QmiMessageUimRefreshRegisterAllInput *self,
                                    gboolean *value_info_register_flag,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |
value_info_register_flag | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_all_input_set_info ()

    gboolean
    qmi_message_uim_refresh_register_all_input_set_info
                                   (QmiMessageUimRefreshRegisterAllInput *self,
                                    gboolean value_info_register_flag,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |
value_info_register_flag | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_all_input_get_session ()

    gboolean
    qmi_message_uim_refresh_register_all_input_get_session
                                   (QmiMessageUimRefreshRegisterAllInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_all_input_set_session ()

    gboolean
    qmi_message_uim_refresh_register_all_input_set_session
                                   (QmiMessageUimRefreshRegisterAllInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_uim_refresh_register_all_output_ref ()

    QmiMessageUimRefreshRegisterAllOutput *
    qmi_message_uim_refresh_register_all_output_ref
                                   (QmiMessageUimRefreshRegisterAllOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_uim_refresh_register_all_output_unref ()

    void
    qmi_message_uim_refresh_register_all_output_unref
                                   (QmiMessageUimRefreshRegisterAllOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllOutput. |

Since: 1.28

### qmi_message_uim_refresh_register_all_output_get_result ()

    gboolean
    qmi_message_uim_refresh_register_all_output_get_result
                                   (QmiMessageUimRefreshRegisterAllOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimRefreshRegisterAllOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_client_uim_refresh_register_all ()

    void
    qmi_client_uim_refresh_register_all (QmiClientUim *self,
                                         QmiMessageUimRefreshRegisterAllInput *input,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Refresh Register All request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_refresh_register_all_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimRefreshRegisterAllInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_uim_refresh_register_all_finish ()

    QmiMessageUimRefreshRegisterAllOutput *
    qmi_client_uim_refresh_register_all_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_refresh_register_all()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_refresh_register_all()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimRefreshRegisterAllOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_refresh_register_all_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageUimRefreshRegisterAllInput

    typedef struct _QmiMessageUimRefreshRegisterAllInput QmiMessageUimRefreshRegisterAllInput;

The QmiMessageUimRefreshRegisterAllInput structure contains private data and should only be accessed using the provided API.

Since: 1.28

### QmiMessageUimRefreshRegisterAllOutput

    typedef struct _QmiMessageUimRefreshRegisterAllOutput QmiMessageUimRefreshRegisterAllOutput;

The QmiMessageUimRefreshRegisterAllOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28